## print-manager 0.2.0

=== CMakeLists.txt ===
project(print-manager)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/)

find_package(KDE4 REQUIRED)
find_package(CUPS "1.4" REQUIRED)
include (MacroLibrary)


# If CUPS 1.6 is installed set this
option(CUPS_1_6 "Build for CUPS 1.6 and above enabled" OFF)
set(HAVE_CUPS_1_6 ${CUPS_1_6})
message(STATUS "Build for CUPS 1.6 and above: " ${CUPS_1_6})

# Print-Manager version
set(PM_VERSION "0.2.0" CACHE STRING "Print Manager version")

# Generate config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include(FindPkgConfig)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/libkcups
)

add_subdirectory(libkcups)
add_subdirectory(configure-printer)
add_subdirectory(add-printer)
add_subdirectory(printer-manager-kcm)
add_subdirectory(printqueue)
add_subdirectory(print-manager-kded)
add_subdirectory(printjobs-dataengine)
add_subdirectory(printers-dataengine)

install(DIRECTORY plasmoid-package/
        DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/printmanager)

install(FILES plasmoid-package/metadata.desktop
        DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-printmanager.desktop)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(cs)
add_subdirectory(da)
add_subdirectory(de)
add_subdirectory(el)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(fi)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(hu)
add_subdirectory(km)
add_subdirectory(nl)
add_subdirectory(pl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(sk)
add_subdirectory(sv)
add_subdirectory(uk)

=== debian/changelog ===
print-manager (0.2.0-0ubuntu3) quantal; urgency=low

  * Add patch ignore_scp_dbus_failures.diff to ignore scp-dbus failures
    for use without system-config-printer-gnome, workaround for LP: #1048606

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Sep 2012 15:02:48 +0100

print-manager (0.2.0-0ubuntu2) quantal; urgency=low

  * Add recommends on system-config-printer-udev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Sep 2012 12:22:25 +0100

print-manager (0.2.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Aug 2012 15:47:14 +0100

print-manager (0.1.0+git20120821-0ubuntu1) quantal; urgency=low

  * New git snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Aug 2012 12:30:49 +0100

print-manager (0.1.0+git20120813-0ubuntu1) quantal; urgency=low

  * Initial package
  * Add kubuntu_01_cups_1.6.diff to turn on CUPS 1.6 API support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 15:41:34 +0100

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8),
               kdelibs5-dev,
               pkg-kde-tools,
               libcups2-dev,
Standards-Version: 3.9.3

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: system-config-printer-udev
Description: printer config and monitor tool
 A printer configuration tool for KDE's System Settings and and Plasma
 panel applet.

## print-manager 4.10.0

=== debian/changelog ===
print-manager (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:24:16 +0000

print-manager (4:4.9.98-0ubuntu1~ubuntu13.04) raring; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:34:25 +0000

print-manager (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:50:28 +0100

print-manager (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Switch to dhmk for automation scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:50:36 +0000

print-manager (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:20:35 +0000

print-manager (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
    - Frist release as part of KDE SC
    - Drop kubuntu_01_cups_1.6.diff - no longer needed
    - Add pkg-config to build-depends
  * Add preinst/postrm files

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 22:50:11 -0500

## print-manager 4.10.2

=== debian/changelog ===
print-manager (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * Add 02-add-print-manager.js to add applet to systray

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:05:44 +0200

print-manager (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:59:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,15 @@
                kdelibs5-dev,
                pkg-kde-tools,
                libcups2-dev,
+               pkg-config
 Standards-Version: 3.9.3
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
 
 Package: print-manager
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: system-config-printer-udev
 Description: printer config and monitor tool
- A printer configuration tool for KDE's System Settings and and Plasma
+ A printer configuration tool for KDE's System Settings and a Plasma
  panel applet.

## print-manager 4.10.5

=== debian/changelog ===
print-manager (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:48:26 +0200

print-manager (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:38:36 +0200

print-manager (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)
    - drop kubuntu_01_enable_print_by_default.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:22:36 +0200

print-manager (4:4.10.2-0ubuntu2.1) raring-proposed-proposed; urgency=low

  * Raring upload for fix bug LP:1174361
    - new printers are disabled by default

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Apr 2013 16:20:28 +0100

print-manager (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Add kubuntu_01_enable_print_by_default.diff fix bug LP:1174361

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 29 Apr 2013 16:14:45 +0100

print-manager (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * Add 02-add-print-manager.js to add applet to systray

  [ Philip Muškovac ]
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:05:44 +0200

print-manager (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:59:40 +0000

print-manager (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:24:16 +0000

print-manager (4:4.9.98-0ubuntu1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:34:25 +0000

print-manager (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:50:28 +0100

print-manager (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release
  * Switch to dhmk for automation scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:50:36 +0000

print-manager (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:20:35 +0000

print-manager (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
    - Frist release as part of KDE SC
    - Drop kubuntu_01_cups_1.6.diff - no longer needed
    - Add pkg-config to build-depends
  * Add preinst/postrm files

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Nov 2012 22:50:11 -0500

## print-manager 4.11.2

=== debian/changelog ===
print-manager (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:00:47 +0100

print-manager (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:44:55 +0100

print-manager (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:44:51 +0100

print-manager (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:13:28 +0100

print-manager (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:38 +0000

print-manager (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:35:48 +0100

print-manager (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:02:57 +0100

print-manager (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:56:37 +0100

print-manager (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
   - Recommends: system-config-printer-udev
   - add ignore_scp_dbus_failures.diff
   - Add debian/02-add-print-manager.js and print-manager.install
  * Drop kubuntu_01_enable_print_by_default.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:00 +0000

print-manager (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add Homepage, Vcs-Browser, and Vcs-Git headers.
  * Improve the descriptions.
  * Remove extra system-config-printer-udev recommend.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:57:14 +0200

print-manager (4:4.10.2-1) experimental; urgency=low

  [ Debian Qt/KDE Maintainers ]
  * Initial release.

  [ Sune Vuorela ]
  * Add myself to uploaders.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 22:02:27 +0000

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 8), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 pkg-config,
 libcups2-dev,
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/print-manager.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/print-manager.git

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: system-config-printer-udev
Description: printer configutation and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitor printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 4.11.5

=== debian/changelog ===
print-manager (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:54:26 +0100

print-manager (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 16:13:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 8), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  pkg-config,
  libcups2-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/print-manager.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/print-manager.git

## print-manager 4.13.0

=== declarative-plugins/CMakeLists.txt ===
set(printmanager_qml_plugin_SRCS
   qmlplugins.cpp
)

kde4_add_library(printmanager SHARED ${printmanager_qml_plugin_SRCS})
target_link_libraries(printmanager
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_PLASMA_LIBS}
    kcupslib
)

install(TARGETS printmanager DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/printmanager)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/printmanager)

=== libkcups/CMakeLists.txt ===
set(libkcups_SRCS
    KIppRequest.cpp
    KCupsPasswordDialog.cpp
    KCupsConnection.cpp
    KCupsJob.cpp
    KCupsPrinter.cpp
    KCupsServer.cpp
    KCupsRequest.cpp
    ClassListWidget.cpp
    PPDModel.cpp
    SelectMakeModel.cpp
    NoSelectionRectDelegate.cpp
    PrinterModel.cpp
    PrinterSortFilterModel.cpp
    JobModel.cpp
    JobSortFilterModel.cpp
)

kde4_add_ui_files(libkcups_SRCS
    SelectMakeModel.ui
)

kde4_add_library(kcupslib SHARED ${libkcups_SRCS})
target_link_libraries(kcupslib
    ${KDE4_KIO_LIBS}
    ${CUPS_LIB}
)

install(TARGETS kcupslib ${INSTALL_TARGETS_DEFAULT_ARGS})

=== plasmoid/CMakeLists.txt ===
set(printmanager_config_SRCS
    KPrintManagerConfigPlugin.cpp
)

kde4_add_plugin(printmanagerwidget ${printmanager_config_SRCS})

target_link_libraries(printmanagerwidget
    ${KDE4_KDEUI_LIBS}
    kcupslib
)

install(TARGETS printmanagerwidget DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer)

# QML Stuff
install(FILES package/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-printmanager.desktop)
install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.printmanager)

=== debian/changelog ===
print-manager (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:32:49 +0100

print-manager (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:59:31 +0200

print-manager (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:59:55 +0100

print-manager (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:09:05 +0000

print-manager (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:20:33 +0100

print-manager (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:35:06 +0000

print-manager (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:49:51 +0000

print-manager (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:51:42 +0000

print-manager (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:50:06 +0000

print-manager (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:44:14 +0100

print-manager (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Fix applet name in debian/02-add-print-manager.js

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:03:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 8), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.13.0),
  pkg-config,
  libcups2-dev,
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/print-manager.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/print-manager.git

## print-manager 4.13.3

=== add-printer/CMakeLists.txt ===
find_package(KDE4Internal REQUIRED)

set(addprinter_SRCS
    main.cpp
    AddPrinter.cpp
    DevicesModel.cpp
    GenericPage.cpp
    PageDestinations.cpp
    ChooseLpd.cpp
    ChooseSamba.cpp
    ChooseSerial.cpp
    ChooseSocket.cpp
    ChooseUri.cpp
    PageChoosePrinters.cpp
    PageChoosePPD.cpp
    PageAddPrinter.cpp
    AddPrinterAssistant.cpp
)

kde4_add_ui_files(addprinter_SRCS
    PageDestinations.ui
    ChooseLpd.ui
    ChooseSamba.ui
    ChooseSerial.ui
    ChooseSocket.ui
    ChooseUri.ui
    PageChoosePrinters.ui
    PageChoosePPD.ui
    PageAddPrinter.ui
)

kde4_add_executable(kde-add-printer
    ${addprinter_SRCS}
)

target_link_libraries(kde-add-printer
    ${KDE4_KDEUI_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${KDE4_KIO_LIBS}
    kcupslib
)

install(TARGETS kde-add-printer DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
print-manager (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 8), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  pkg-config,
  libcups2-dev,
 Standards-Version: 3.9.3

## print-manager 4.14.0

=== debian/changelog ===
print-manager (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 14:49:20 +0200

print-manager (4:4.13.3-2) unstable; urgency=medium

  * New patch: activate_password_dialog (Closes: #756494)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Aug 2014 12:51:22 -0300

print-manager (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Adding recommends to system-config-printer. Since print-manager uses
    it's dbus interface. (Closes: #751966)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 10:56:38 +0200

print-manager (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 17:34:07 +0200

print-manager (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:05 +0200

print-manager (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:53 +0100

print-manager (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:41 +0100

print-manager (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Feb 2014 18:47:26 +0100

print-manager (4:4.11.3-2) unstable; urgency=low

  * Merge with ubuntu package:
    + Add 02-add-print-manager.js to add applet to systray.
    - Diverge on patch ignore_scp_dbus_failures.diff.
    - Diverge on recommends system-config-printer-udev.
  * Update copyright file.
  * Recommends cups. (Closes: #719796)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Nov 2013 13:27:54 +0100

print-manager (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 00:27:40 +0100

print-manager (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 11:59:18 +0200

print-manager (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typo in extended description of package. Thanks Filipus Klutiero
    (Closes: #712389).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:38:05 +0200

print-manager (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Ignore lintian error about private library.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 19:46:38 +0200

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libcups2-dev (>= 1.5),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/print-manager.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/print-manager.git

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/print-manager-([\d\.]*).tar.xz

## print-manager 4.14.1

=== debian/changelog ===
print-manager (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:01:33 +0200

print-manager (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:44:52 +0200

print-manager (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:36:17 +0200

print-manager (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:57:03 +0200

print-manager (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:47:46 +0200

print-manager (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian:
   - recommend on system-config-printer-udev
   - add ignore_scp_dbus_failures.diff for LP: #902762
   - In print-manager.install do not install 02-add-print-manager.js, handled by
     01-kubuntu-10.04.js in kubuntu-settings-desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:04 +0100

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libcups2-dev (>= 1.5),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/print-manager
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/print-manager.git
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/print-manager.git

Package: print-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cups, system-config-printer-udev
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 4.14.2

=== debian/changelog ===
print-manager (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:11:40 +0200

print-manager (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:49:31 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                libcups2-dev (>= 1.5),
                pkg-config,
                pkg-kde-tools (>= 0.12)

## print-manager 6.1.5

=== debian/changelog ===
print-manager (6:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:02:18 +0100

print-manager (6:6.1.4-0ubuntu2) oracular; urgency=medium

  * Temporarily drop dependency on plasma-desktoptheme to fix ISO build.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 09:42:03 +0100

print-manager (6:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:44:43 +0100

print-manager (6:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Bump Standards-Version to 4.7.0, no change required.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:21 +0200

print-manager (6:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Bump the epoch as the new version is lower than the old one (6.1.0
    vs 23.08.3).
  * New upstream release (6.1.0).
  * Update d/watch as the package has moved from Gear to Plasma.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 17:35:54 +0200

print-manager (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:02:22 +0000

print-manager (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:54:53 +1300

print-manager (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:32:15 +0000

print-manager (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:31:51 -0700

print-manager (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:08 +0000

print-manager (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.3).
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Mon, 20 Nov 2023 18:06:02 -0500

print-manager (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:36 +0000

print-manager (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:40:54 +0100

print-manager (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:07:56 +0100

print-manager (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:50 +0100

print-manager (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:15 +0100

print-manager (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:58:56 +0100

print-manager (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:45 +0100

print-manager (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:06 +0100

print-manager (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:02 +0000

print-manager (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:16 -0600

print-manager (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:20 +0100

print-manager (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:12 +0000

print-manager (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:30:20 +0000

print-manager (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:04 +0100

print-manager (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Review copyright information.
  * Add dependency to systemsettings for the KCM.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:10 +0100

print-manager (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:01 +0000

print-manager (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:11 +0000

print-manager (4:22.11.80-0ubuntu1) lunar; urgency=medium



=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.2.0~),
               libkf6configwidgets-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.1.5~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.2.5

=== debian/changelog ===
print-manager (6:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:24:07 +0100

print-manager (6:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:39:01 +0100

print-manager (6:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:37 +0100

print-manager (6:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:34 +0200

print-manager (6:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:51 +0200

print-manager (6:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:23 +0200

print-manager (6:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:27 +0200

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.5.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.2.5~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.2.90

=== debian/changelog ===
print-manager (6:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:34:31 +0000

print-manager (6:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:05:47 +0000

print-manager (6:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:16:54 +0000

print-manager (6:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 20:00:43 +0000

=== debian/control ===
Source: print-manager
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               libcups2-dev (>= 2.4),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.2.90~),
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/print-manager
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
Rules-Requires-Root: no

Package: print-manager
Architecture: any
Depends: qml6-module-org-kde-config,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups,
            smbclient,
            system-config-printer-common,
            system-config-printer-udev,
Description: printer configuration and monitoring tools
 This package provides a KDE configuration module and a Plasma widget for
 installing and configuring printers, and monitoring printers, print jobs and
 print queues.
 .
 This package is part of the KDE utilities module.

## print-manager 6.3.0

=== debian/changelog ===
print-manager (6:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:54 +0100

print-manager (6:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:33 +0100

print-manager (6:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 09:23:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: print-manager
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                libcups2-dev (>= 2.4),
                libkf6config-dev (>= 6.10.0~),
@@ -25,19 +23,20 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.3.0~),
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://apps.kde.org/en/print-manager
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/print-manager
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/print-manager
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/print-manager.git
 Rules-Requires-Root: no
 
 Package: print-manager
 Architecture: any
-Depends: qml6-module-org-kde-config,
+Depends: plasma-desktoptheme,
+         qml6-module-org-kde-config,
          qml6-module-org-kde-kcmutils,
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-kitemmodels,

## print-manager 6.3.2

=== debian/changelog ===
print-manager (6:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libpackagekitqt6-dev,
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
